Appearance
POST
/helpdesk/ticket/ticketsRequired scope:
viskan:ticket:createCreates a new ticket from an incoming message.
Request body
JSON
{
"receivedAt": "2025-09-11T08:15:30Z",
"subject": "Order inquiry",
"senderName": "Jane Smith",
"senderAddress": "jane@example.com",
"body": "When will my order arrive?",
"contentType": "text/plain",
"replyTo": "greg@example.com",
"deliveredTo": "support@example.com",
"recipients": [
"support@example.com"
],
"recipientsCC": [
"..."
],
"recipientsBCC": [
"..."
],
"helpdeskAccountId": 1,
"customerId": 352951,
"autoReply": false
}
Response
The ticket was created. Contains the identifier of the ticket.
JSON
{
"ticketId": "a5a1b1a9-2ad0-4bb9-86b1-3fae3b1e3dc6"
}
| Error code | Description |
|---|---|
body-required | body must be specified. |
content-type-required | contentType must be specified. |
customer-id-must-be-positive | customerId must be positive. |
received-at-required | receivedAt must be specified. |
sender-address-required | senderAddress must be specified. |
sender-name-required | senderName must be specified. |
subject-required | subject must be specified. |